import {BrowserModule} from '@angular/platform-browser'
import {NgModule} from '@angular/core'
import {FormsModule} from '@angular/forms'
import {StoreModule} from '@ngrx/store'

import {AppComponent} from './app.component'
import {CarsFormComponent} from './cars-form/cars-form.component'
import {CarComponent} from './car/car.component'
import {carsReducer} from './redux/cars.reducer'
import {CarsService} from './cars.service'
import {HttpModule} from '@angular/http'

@NgModule({
  declarations: [
    AppComponent,
    CarsFormComponent,
    CarComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    StoreModule.forRoot({carPage: carsReducer})
  ],
  providers: [CarsService],
  bootstrap: [AppComponent]
})
export class AppModule {
}
